import PropTypes from 'prop-types';
export declare type Component = PropTypes.ReactComponentLike;
export declare const typePropType: PropTypes.Requireable<PropTypes.ReactComponentLike>;
export declare type Stepping = string | null | undefined | (string | null | undefined | (string | null | undefined)[])[];
export declare const spacingPropType: PropTypes.Requireable<string | (string | (string | null | undefined)[] | null | undefined)[]>;
export declare type FlexDirection = 'row' | 'row-reverse' | 'column' | 'column-reverse' | null | undefined | string;
export declare const flexDirectionPropType: PropTypes.Requireable<string>;
export declare type AlignItems = 'stretch' | 'flex-start' | 'flex-end' | 'center' | 'baseline' | null | undefined | string;
export declare const alignItemsPropType: PropTypes.Requireable<string>;
export declare type JustifyContent = 'flex-start' | 'flex-end' | 'center' | 'space-between' | 'space-around' | 'space-evenly' | null | undefined | string;
export declare const justifyContentPropType: PropTypes.Requireable<string>;
export declare type Alignment = 'left' | 'center' | 'right' | null | undefined | string;
export declare const alignmentPropType: PropTypes.Requireable<string>;
export declare type AlignContent = 'flex-start' | 'flex-end' | 'center' | 'stretch' | 'space-between' | 'space-around' | null | undefined | string;
export declare const alignContentPropType: PropTypes.Requireable<string>;
