import React from 'react';
import { BigDivEnergyConfig } from '../BigDivEnergyContext';
export interface BigDivEnergyProviderProps {
    config?: BigDivEnergyConfig;
}
/**
 * Use `BigDivEnergyProvider` to provide a config for big-div-energy components.
 *
 * The config and other useful properties and functions can be retrieved with `useBigDivEnergy`.
 *
 */
declare const BigDivEnergyProvider: React.FC<BigDivEnergyProviderProps>;
export default BigDivEnergyProvider;
