import { BigDivEnergyConfig } from '../BigDivEnergyContext';
import { Stepping } from '../propTypes';
export interface BigDivEnergy {
    config: BigDivEnergyConfig;
    getSteppedCss: (properties: string | string[], stepping: Stepping, ruleWrapper?: (input: string) => string, valueWrapper?: (input: string) => string) => string;
    getSteppedSpacingCss: (properties: string | string[], stepping: Stepping, ruleWrapper?: (input: string) => string, valueWrapper?: (input: string) => string) => string;
    stepIndex: number;
}
declare const useBigDivEnergy: () => BigDivEnergy;
export default useBigDivEnergy;
